Subject: bug#55000: closed (Re: bug#55000: [PATCH] gnu: Fix incorrect path in home-fish-service)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Apr 2022 22:00:03 +0000

Your bug report

#55000: [PATCH] gnu: Fix incorrect path in home-fish-service

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55000: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55000: [PATCH] gnu: Fix incorrect path in home-fish-service
From: Ludovic Courtès <[email-masked]>
To: Maya <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Apr 2022 23:59:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maya <[email-masked]> skribis:

> I haven't found any info on this and I wasn't sure if I should open a bug report. I believe this is a bug in the home-fish-service, as guix home copies the configuration file to "~/config/fish/config.fish" but the path where fish looks for is "~/.config/fish/config.fish"
>
> Other than that it functions correctly, it must've been a mistake as one rarely changes this file and once in the right place, it works perfectly. Without it though, the guix home is non-functional.

Indeed.  This is because ‘home-files-service-type’ no longer prepends
“.” to file names.

Applied now, thanks!

Ludo’.

PS: And congrats on getting bug #55000.  :-)

Subject: [PATCH] gnu: Fix incorrect path in home-fish-service
From: Maya <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 17 Apr 2022 19:05:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I haven't found any info on this and I wasn't sure if I should open a bug report. I believe this is a bug in the home-fish-service, as guix home copies the configuration file to "~/config/fish/config.fish" but the path where fish looks for is "~/.config/fish/config.fish"

Other than that it functions correctly, it must've been a mistake as one rarely changes this file and once in the right place, it works perfectly. Without it though, the guix home is non-functional.

Regards,
Maya
---
 gnu/home/services/shells.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/home/services/shells.scm b/gnu/home/services/shells.scm
index d96c951cd8..fd0a8397f6 100644
--- a/gnu/home/services/shells.scm
+++ b/gnu/home/services/shells.scm
@@ -586,7 +586,7 @@ (define-configuration home-fish-configuration
    serialize-fish-abbreviations))

 (define (fish-files-service config)
-  `(("config/fish/config.fish"
+  `((".config/fish/config.fish"
      ,(mixed-text-file
        "fish-config.fish"
        #~(string-append "\
--
2.35.1